Bug 48606 - Custom properties: Property "Open file read-only" of New Document is not saved when changed manually in File - Properties - General (OK with existing document) (see comment 17)
Summary: Custom properties: Property "Open file read-only" of New Document is not save...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: File-Dialog Read-Only
  Show dependency treegraph
 
Reported: 2012-04-12 07:03 UTC by Harald Koester
Modified: 2022-10-19 03:34 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2012-04-12 07:03:17 UTC
Problem description: 

Steps to reproduce:
(1) Start LO and open a new text document.
(2) Uncheck option "Load/Save > General > Edit document properties before saving".
(3) Insert some text. 
(4) Check "File > Properties... > Security > Open file read-only". Then "OK".
(5) "Save" document. Dialog "Save as" is opened. Choose directory and file name. Then "Save". The file is saved.
(6) Close document and then open it again. Document is opened in Edit Mode !!

Expected behaviour: Document should be reopened in read-only mode.

The problem does not occur if you change the property "Open file read-only" of an existing document.

Their may be other file properties that are not saved. I tested "Description > Title" and a "Custom Property". The behaviour of these properties are OK.

Behaviour also observed with spreadsheet.

Behaviour also observed in version 3.4.6.
              
Browser: Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.9.2.28) Gecko/20120306 Firefox/3.6.28
Comment 1 Mònica Ramírez Arceda 2012-04-14 06:24:32 UTC
[Reproducible] with "LibreOffice 3.5.2.2 - Build ID: 281b639-6baa1d3-ef66a77-d866f25-f36d45f - GNU/Linux Debian testing (32bit) English UI"

I think there is a missing step in the previous report. I give you my steps:

(1) Start LO and open a new text document.
(2) Uncheck option "Load/Save > General > Edit document properties before
saving".
(3) Insert some text. 
(4) Check "File > Properties... > Security > Open file read-only". Then "OK".
(5) "Save" document. Dialog "Save as" is opened. Choose directory and file
name. Then "Save". The file is saved.

(6) Here I have a difference with the previous report: once I've clicked "Save", the "File > Properties..." dialog is shown again without the checked "Open file read-only". So, I have to check it again if I want it works.

I think the bug is that if I don't check it again, "Open file read-only" is not saved.
Comment 2 Harald Koester 2012-04-14 15:20:24 UTC
Hi Monica,

thanks for trying. I am not sure, but I think there is a little misunderstanding. In step (2) I resetted (= unchecked) the option "Load/Save > General > Edit document properties before saving", because I usually check this option. In this case the properties dialog does not open again at step (6) and hence there is no possibility to check the "Open file read-only" mode again.

Please let me know, if LibreOffice behaves different at your system.

Harald
Comment 3 Mònica Ramírez Arceda 2012-04-23 01:37:01 UTC
Oh, sorry, you're right. I think I checked instead of unchecking in step 2.

But maybe what I explained leads us to the reason of the bug: when you save with another name this property is not saved either. 

You can try the following steps:

(1) Start LO and open an existing file, for example f1.odt.
(2) Check "File > Properties... > Security > Open file read-only". Then "OK".
(3) "File > Save as" and save it with another name, for example f2.odt
(4) Go to "File > Properties... > Security > Open file read-only", the checkbox is unchecked.
Comment 4 Joel Madero 2012-09-24 20:10:42 UTC
I am unable to reproduce this with LibO 3.6.2.1. Marking as WORKSFORME. If this is still a problem with latest stable build please reopen and I'll get someone else from QA team to take a look at it and try to reproduce. 

Thanks for helping us make LibO a better product.
Comment 5 Harald Koester 2012-11-30 10:07:18 UTC
I checked the bug again with 3.6.3. I am sorry, but I think the bug still exists. I also made some more tests and I found that there is a difference between “Save” and “Save as...”. Perform this:

Preparations:
(1) Start LO and make sure that the Option “Load/Save > General > Edit document properties before saving” is unchecked.
(2) Create a text document and make sure that the file property “Open file read-only” is no set.
(3) Insert some text. Save and close document (Untitled 1.odt).

Go on with:
(4) Copy “Untitled 1.odt” to “test.odt”.
(5) Open “test.odt” and change the text a little.
(6) Set file property “Open file read-only”. Then OK.
(7) Save document with “File > Save as...”. I did not change file name (test.odt).
(8) Close document.
(9) Reopen document. File is opened in “Edit Mode”. Here I expect, that the document is opened in “Read-only mode” !!!

Repeat the test beginning with step (4). But now save the file with “File > Save” in step (7). At step (9) the file is opened in “Read-Only mode” as expected.
Comment 6 Harald Koester 2014-04-04 21:10:24 UTC Comment hidden (obsolete)
Comment 7 Joel Madero 2014-11-06 00:13:59 UTC Comment hidden (obsolete)
Comment 8 Buovjaga 2014-11-16 14:54:44 UTC
(In reply to Harald Koester from comment #5)
> Preparations:
> (1) Start LO and make sure that the Option “Load/Save > General > Edit
> document properties before saving” is unchecked.
> (2) Create a text document and make sure that the file property “Open file
> read-only” is no set.
> (3) Insert some text. Save and close document (Untitled 1.odt).
> 
> Go on with:
> (4) Copy “Untitled 1.odt” to “test.odt”.
> (5) Open “test.odt” and change the text a little.
> (6) Set file property “Open file read-only”. Then OK.
> (7) Save document with “File > Save as...”. I did not change file name
> (test.odt).
> (8) Close document.
> (9) Reopen document. File is opened in “Edit Mode”. Here I expect, that the
> document is opened in “Read-only mode” !!!
> 
> Repeat the test beginning with step (4). But now save the file with “File >
> Save” in step (7). At step (9) the file is opened in “Read-Only mode” as
> expected.

Reproduced.

Win 7 64-bit Version: 4.4.0.0.alpha2+
Build ID: b021b5983c62e266b82d9f0c5c6d8d8900553827
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-12_01:10:08

Ubuntu 14.10 64-bit Version: 4.4.0.0.alpha2+
Build ID: 3cf226622a3d8c09d655034dbcc81695f1662b87
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2014-11-15_23:24:22
Comment 9 Jean-Baptiste Faure 2015-08-01 21:21:18 UTC
For me it is not a bug if "save as..." does not keep the "Open in read-only mode" option. The bug would be if the command "save" did not keep this property.

Best regards. JBF
Comment 10 Cor Nouws 2015-10-16 14:10:48 UTC
(In reply to Jean-Baptiste Faure from comment #9)
> For me it is not a bug if "save as..." does not keep the "Open in read-only
> mode" option. The bug would be if the command "save" did not keep this
> property.


If I use Save on a new document, is does not save the property too (on first save). (5.0.3.1 anyway)
Comment 11 QA Administrators 2016-11-08 11:22:44 UTC Comment hidden (obsolete)
Comment 12 Harald Koester 2017-02-10 20:23:59 UTC Comment hidden (obsolete)
Comment 13 QA Administrators 2018-07-02 02:36:12 UTC Comment hidden (obsolete)
Comment 14 Harald Koester 2018-07-04 12:19:30 UTC Comment hidden (obsolete)
Comment 15 QA Administrators 2019-07-05 02:45:36 UTC Comment hidden (obsolete)
Comment 16 Harald Koester 2019-07-17 08:44:55 UTC
Bug still exist in version 6.2.5 (64 bit, Win10).
Comment 17 sdc.blanco 2020-10-09 22:38:50 UTC
To summarize situation (with simpler STR):

Basic procedure:  Open new document, type 1 character, save.

Three different cases:

Case 1. If (a) "Edit document properties before saving is checked" in Tools - Options -Load/Save - General, then when saving, 
      (b)  File Properties dialog box pops up, use Security tab and check "Open file read-only"

(Reload file, see that it is read-only, as expected.)
This case is not mentioned before.

Case 2.  If (a) "Edit document properties before saving is UNchecked", and 
            (b) before saving, use File - Properties - Security tab, to check "Open file read-only", click OK, then
            (c) save file.

(reload file, see that is can be edited, not read-only)

This is the OP.

Case 3.  Similar to Case 2, but repeat steps (b) and (c).  That is,

If (a) "Edit document properties before saving is UNchecked", and 
       (b) before saving, use File - Properties - Security tab, to check "Open file read-only",  click OK, then
       (c) save file
       (d) Open File - Properties - Security tab again, (notice that "Open file read-only" is not checked).  Check it again, click OK and
       (e) Save file.

(reload and see that it is read-only).  This is the case described in Comment 1.

Semi-explanation.
Case 1, makes sure to store the changes made in File Properties (presumably because it promised to edit the file properties before saving).  
Case 2 does not store the manually changed File Properties  (which the OP rightfully expects, because it was manually changed for the document)
Case 3 "works" because changing the File Properties manually (of what is now a "saved file") gets recorded.

Tested with 7.1.0.0.alpha0+
Comment 18 QA Administrators 2022-10-19 03:34:08 UTC
Dear Harald Koester,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug